using Microsoft.Extensions.DependencyInjection;
using StellaOps.Excititor.Core;

namespace StellaOps.Excititor.Formats.CycloneDX;

public static class CycloneDxFormatsServiceCollectionExtensions
{
    public static IServiceCollection AddCycloneDxNormalizer(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.AddSingleton<IVexNormalizer, CycloneDxNormalizer>();
        return services;
    }
}
